class neumannCondition:
    def __call__(self, relativeTime):
        return 0

class velocityDirichletCondition:
    def __call__(self, relativeTime):
        if relativeTime <= 0.25:
            factor = 4*relativeTime;
        else:
            factor = 1
        return 2e-4 * factor

Functions = {
    'neumannCondition' : neumannCondition(),
    'velocityDirichletCondition' : velocityDirichletCondition()
}
