#ifndef DIM
#error DIM unset
#endif

#include "explicitgrid.hh"
#include "explicitvectors.hh"

#include <dune/tnnmg/nonlinearities/zerononlinearity.hh>
#include <dune/tnnmg/problem-classes/blocknonlineartnnmgproblem.hh>
#include <dune/tnnmg/problem-classes/convexproblem.hh>

#include <dune/tectonic/globalnonlinearity.hh>
#include <dune/tectonic/myblockproblem.hh>

template class SolverFactory<
    DIM, MyBlockProblem<
             ConvexProblem<Dune::GlobalNonlinearity<Matrix, Vector>, Matrix>>,
    Grid>;
template class SolverFactory<
    DIM, BlockNonlinearTNNMGProblem<
             ConvexProblem<ZeroNonlinearity<SmallVector, SmallMatrix>, Matrix>>,
    Grid>;
