#ifndef VTK_HH
#define VTK_HH

#include <dune/common/shared_ptr.hh>
#include <dune/grid/io/file/vtk/vtkwriter.hh>

#include <dune/fufem/functions/vtkbasisgridfunction.hh>

template <class VertexBasis, class CellBasis, class Vector, class ScalarVector>
void writeVtk(VertexBasis const &vertexBasis, Vector const &displacement,
              ScalarVector const &logState, CellBasis const &cellBasis,
              ScalarVector const &stress, std::string const &filename);

#endif
