#include <dune/common/fmatrix.hh>
#include <dune/common/fvector.hh>
#include <dune/istl/bcrsmatrix.hh>
#include <dune/istl/bvector.hh>

using SmallVector = Dune::FieldVector<double, DIM>;
using SmallMatrix = Dune::FieldMatrix<double, DIM, DIM>;
using Vector = Dune::BlockVector<SmallVector>;
using Matrix = Dune::BCRSMatrix<SmallMatrix>;
using ScalarVector = Dune::BlockVector<Dune::FieldVector<double, 1>>;
