#ifndef DIM
#error DIM unset
#endif

#include "explicitgrid.hh"
#include "explicitvectors.hh"

#include <dune/fufem/functionspacebases/p0basis.hh>
#include <dune/fufem/functionspacebases/p1nodalbasis.hh>

using P1Basis = P1NodalBasis<GridView, double>;
using MyP0Basis = P0Basis<GridView, double>;

template void writeVtk<P1Basis, MyP0Basis, Vector, ScalarVector>(
    P1Basis const &vertexBasis, Vector const &displacement,
    ScalarVector const &logState, MyP0Basis const &cellBasis,
    ScalarVector const &stress, std::string const &filename);
